Delete Project

POST /tm/api/v1/projects/action/delete

Operation id: deleteProject

Description

Delete a pre-launch project based on provided Project Id list.

Security

  • ApiKeyAuth (apiKey)
    • API key passed in the apikey request header.

Responses

200 — Success

Content type: application/json

400 — Error

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
projectIdsstringYesComma separated Project Ids
{
  "type": "object",
  "required": [
    "projectIds"
  ],
  "properties": {
    "projectIds": {
      "type": "string",
      "description": "Comma separated Project Ids"
    }
  }
}

Response models

200 — Success

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
messagestringNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "SUCCESS"
    },
    "message": {
      "type": "string",
      "example": "Project deleted successfully"
    }
  }
}

400 — Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
errorarrayNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "ERROR"
    },
    "error": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        }
      }
    }
  }
}

Example:

{
  "status": "ERROR",
  "error": [
    {
      "code": "839",
      "message": "projectId not provided."
    }
  ]
}